Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.nortel.soa.oi.cct.types
Enum ConnectionState

    java.lang.Object
      java.lang.Enum<ConnectionState>
          com.nortel.soa.oi.cct.types.ConnectionState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ConnectionState>

    public enum ConnectionState

extends java.lang.Enum<ConnectionState>

Java class for connectionState.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="connectionState">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="ACTIVE"/>
         <enumeration value="ALERTING"/>
         <enumeration value="ANCHORED"/>
         <enumeration value="CONTROLLED"/>
         <enumeration value="DIALING"/>
         <enumeration value="DISCONNECTED"/>
         <enumeration value="ESTABLISHED"/>
         <enumeration value="FAILED"/>
         <enumeration value="IDLE"/>
         <enumeration value="INITIATED"/>
         <enumeration value="NETWORK_ALERTING"/>
         <enumeration value="NETWORK_REACHED"/>
         <enumeration value="OFFERED"/>
         <enumeration value="PARKED"/>
         <enumeration value="RETRIEVING"/>
         <enumeration value="ROUTING"/>
         <enumeration value="QUEUED"/>
         <enumeration value="UNKNOWN"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ACTIVE`
`ALERTING`
`ANCHORED`
`CONTROLLED`
`DIALING`
`DISCONNECTED`
`ESTABLISHED`
`FAILED`
`IDLE`
`INITIATED`
`NETWORK_ALERTING`
`NETWORK_REACHED`
`OFFERED`
`PARKED`
`QUEUED`
`RETRIEVING`
`ROUTING`
`UNKNOWN`

Method Summary
`static ConnectionState` | `fromValue(java.lang.String v)`
`java.lang.String` | `value()`
`static ConnectionState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ConnectionState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ACTIVE

    public static final ConnectionState ACTIVE

### ALERTING

    public static final ConnectionState ALERTING

### ANCHORED

    public static final ConnectionState ANCHORED

### CONTROLLED

    public static final ConnectionState CONTROLLED

### DIALING

    public static final ConnectionState DIALING

### DISCONNECTED

    public static final ConnectionState DISCONNECTED

### ESTABLISHED

    public static final ConnectionState ESTABLISHED

### FAILED

    public static final ConnectionState FAILED

### IDLE

    public static final ConnectionState IDLE

### INITIATED

    public static final ConnectionState INITIATED

### NETWORK_ALERTING

    public static final ConnectionState NETWORK_ALERTING

### NETWORK_REACHED

    public static final ConnectionState NETWORK_REACHED

### OFFERED

    public static final ConnectionState OFFERED

### PARKED

    public static final ConnectionState PARKED

### RETRIEVING

    public static final ConnectionState RETRIEVING

### ROUTING

    public static final ConnectionState ROUTING

### QUEUED

    public static final ConnectionState QUEUED

### UNKNOWN

    public static final ConnectionState UNKNOWN

Method Detail

### values

    public static ConnectionState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ConnectionState c : ConnectionState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ConnectionState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### value

    public java.lang.String value()

### fromValue

    public static ConnectionState fromValue(java.lang.String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 All Rights Reserved.